Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 449730

Summary: app-misc/fixdos: ~x64-macos and ~x86-linux prefix support
Product: Gentoo/Alt Reporter: Myk Taylor <myk002>
Component: Prefix SupportAssignee: Gentoo Shell Tools Herd Bugs <shell-tools>
Status: RESOLVED WONTFIX    
Severity: enhancement CC: pinkbyte, prefix, shell-tools
Priority: Normal Keywords: EBUILD, PATCH
Version: unspecified   
Hardware: AMD64   
OS: OS X   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 315803    
Attachments: fixed ebuild
patch to tolower.c to go in files dir

Description Myk Taylor 2013-01-02 07:44:57 UTC
the fixdos-1.3.1 suffered from two minor build issues:
1) it did not include the proper header file to define PATH_MAX in one of its source files
2) it installed to ${D} instead of ${ED}

patches attached.  tested on ~x64-macos and ~x86-linux.  it likely works on x64-linux as well, but I lack a system to test with.

Reproducible: Always
Comment 1 Myk Taylor 2013-01-02 07:46:17 UTC
Created attachment 334018 [details]
fixed ebuild

implements the following patch:

--- usr/portage/app-misc/fixdos/fixdos-1.3.1.ebuild	2012-04-01 03:03:29.000000000 -0700
+++ usr/local/portage/app-misc/fixdos/fixdos-1.3.1.ebuild	2013-01-01 23:35:59.000000000 -0800
@@ -2,6 +2,8 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: /var/cvsroot/gentoo-x86/app-misc/fixdos/fixdos-1.3.1.ebuild,v 1.21 2011/01/04 18:04:30 jlec Exp $
 
+EAPI="4"
+
 inherit eutils toolchain-funcs
 
 DESCRIPTION="Set of utilities such as crlf which converts files between UNIX and DOS newlines"
@@ -19,6 +21,7 @@
 	unpack ${A}
 	cd "${S}"
 	epatch "${FILESDIR}"/${P}-gentoo-makefile.diff
+	epatch "${FILESDIR}"/${P}-tolower_path_max.diff
 }
 
 src_compile() {
@@ -27,5 +30,5 @@
 }
 
 src_install() {
-	make INSTALLDIR="${D}/usr/bin" install || die
+	make INSTALLDIR="${ED}/usr/bin" install || die
 }
Comment 2 Myk Taylor 2013-01-02 07:47:13 UTC
Created attachment 334020 [details, diff]
patch to tolower.c to go in files dir

should likely be pushed upstream
Comment 3 Myk Taylor 2013-01-02 07:48:19 UTC
Comment on attachment 334018 [details]
fixed ebuild

># Copyright 1999-2011 Gentoo Foundation
># Distributed under the terms of the GNU General Public License v2
># $Header: /var/cvsroot/gentoo-x86/app-misc/fixdos/fixdos-1.3.1.ebuild,v 1.21 2011/01/04 18:04:30 jlec Exp $
>
>EAPI="4"
>
>inherit eutils toolchain-funcs
>
>DESCRIPTION="Set of utilities such as crlf which converts files between UNIX and DOS newlines"
>HOMEPAGE="http://e.co.za/marius/"
>SRC_URI="http://e.co.za/marius/downloads/misc/fixDos-${PV}.tar.gz"
>
>LICENSE="GPL-2"
>SLOT="0"
>KEYWORDS="amd64 ppc ppc64 x86"
>IUSE=""
>
>S="${WORKDIR}"/fixDos-${PV}
>
>src_unpack() {
>	unpack ${A}
>	cd "${S}"
>	epatch "${FILESDIR}"/${P}-gentoo-makefile.diff
>	epatch "${FILESDIR}"/${P}-tolower_path_max.diff
>}
>
>src_compile() {
>	tc-export CC
>	emake CC="$(tc-getCC)" || die
>}
>
>src_install() {
>	make INSTALLDIR="${ED}/usr/bin" install || die
>}
Comment 4 Myk Taylor 2013-01-02 07:49:42 UTC
ugh ignore comment 3, plz.  accidental post
Comment 5 Sergey Popov gentoo-dev 2013-04-09 11:56:02 UTC
+  09 Apr 2013; Sergey Popov <pinkbyte@gentoo.org> +fixdos-1.3.1-r1.ebuild:
+  Revision bump: EAPI 5, add epatch_user, install docs, add ~amd64-linux and
+  ~x86-linux keywords, wrt bug #449730

@Prefix team, can somebody mark this ~x64-macos?
@shell-tools, please review attached patch and add it if it is needed
Comment 6 Christoph Junghans gentoo-dev 2013-04-09 15:30:13 UTC
(In reply to comment #1)
>  src_install() {
> -	make INSTALLDIR="${D}/usr/bin" install || die
> +	make INSTALLDIR="${ED}/usr/bin" install || die
>  }
Why "make" and not "emake"? (Would save us the  "|| die")

(In reply to comment #5)
> @Prefix team, can somebody mark this ~x64-macos?
works on my x86-macos with the patch, but not without it.

> @shell-tools, please review attached patch and add it if it is needed
I guess, it is needed on macox.

@Myk: have you submitted that patch upstream?
Comment 7 Christoph Junghans gentoo-dev 2014-03-18 17:20:52 UTC
ping @ shell-tools!
Comment 8 Justin Lecher (RETIRED) gentoo-dev 2014-03-18 18:25:38 UTC
(In reply to Christoph Junghans from comment #7)
> ping @ shell-tools!

commit it, but under use of USE.
Comment 9 Christoph Junghans gentoo-dev 2014-03-18 19:32:31 UTC
(In reply to Justin Lecher from comment #8)
> (In reply to Christoph Junghans from comment #7)
> > ping @ shell-tools!
> 
> commit it, but under use of USE.
Huh, conditional patching? The patch is close to trivial.
Comment 10 Pacho Ramos gentoo-dev 2015-02-03 14:37:53 UTC
removed